# TODO
# Add a cvs switch
##################

%define __libtoolize /bin/true
%define name	gnash
%define version 0.7.2
%define release %mkrel 3

%define libname %mklibname %{name} 0
%define libname_orig lib%{name}

Name:		%name
Summary:	Gnash - a GNU Flash movie player
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/WWW
Source0:	%name-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://www.gnu.org/software/gnash/
BuildRequires:	mesaglut-devel
BuildRequires:  mozilla-firefox-devel > 1.5
BuildRequires:  X11-devel
BuildRequires:  png-devel
BuildRequires:  jpeg-devel
BuildRequires:  mad-devel
BuildRequires:  SDL-devel
BuildRequires:  kdebase-devel
BuildRequires:  gtkglext-devel
BuildRequires:  boost-devel
BuildRequires:  curl-devel
BuildRequires:  docbook2x
BuildRequires:  texinfo
BuildRequires:  doxygen
BuildRequires:	scrollkeeper
BuildRequires:	libxslt-proc

%description
Gnash is a GNU Flash movie player. Till now it has been possible 
to play flash movies with proprietary software. While there are a 
few free flash players, none supports anything higher than SWF v4 
at best. Gnash is based on GameSWF, and supports many SWF v7 features.


%package -n	%{libname}
Summary:	Gnash library
Group:	        Networking/WWW	
Provides:	%{libname_orig} = %{version}

%description -n %{libname}
Gnash library.


%package -n	%{libname}-devel
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.

%package -n     %{name}-firefox-plugin
Summary:	Gnash firefox plugin
Group:		Networking/WWW
Requires:	gnash = %{version}
Requires:	libmozilla-firefox > 1.5

%description -n %{name}-firefox-plugin
Gnash firefox plugin

%package -n	%{name}-konqueror-plugin
Summary:	Gnash konqueror plugin
Group:		Graphical desktop/KDE
Requires:	gnash = %{version}
%description -n %{name}-konqueror-plugin
Gnash Konqueror plugin

%prep
%setup -q
%build

perl -pi -e "s,GLIB_CFLAGS=.*,GLIB_CFLAGS=\"`pkg-config glib-2.0 --cflags`\"," configure
perl -pi -e "s,GTK2_CFLAGS=.*,GTK2_CFLAGS=\"`pkg-config gtk+-2.0 --cflags`\"," configure
perl -pi -e "s,GLEXT_CFLAGS=.*,GLEXT_CFLAGS=\"`pkg-config gtkglext-1.0 --cflags`\"," configure

#sh autogen.sh
%configure2_5x --enable-mp3 \
		--enable-ghelp  \
%if %{_lib} == "lib64"
		--enable-libsuffix=64 \
%endif
		--enable-docbook --enable-plugin \
		--with-plugindir=%{_libdir}/mozilla/plugins  \
		--disable-rpath
%make "OPENGL_LIBS = -lGL"


%install
rm -rf %{buildroot}

# Big fat but working hack
perl -pi -e "s,install-info,/../sbin/install-info," doc/C/Makefile

%makeinstall_std
rm -f %{buildroot}/%{_libdir}/kde3/*.a
echo " "  >> %{buildroot}/%{_datadir}/config/klashrc
rm -rf %{buildroot}/%{_localstatedir}/scrollkeeper
perl -pi -e "s,-L%{_builddir}/%{name}-%{version}/libbase,,g" %{buildroot}/%{_libdir}/libgnashgeo.la

%post -n %{name} 
%_install_info %{name}.info

%preun -n %{name}
%_remove_install_info %{name}.info

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog* NEWS README
%{_bindir}/gnash
%{_bindir}/gparser
%{_bindir}/gprocessor
%{_mandir}/man?/*
%{_infodir}/%{name}.info.bz2
%doc %{_datadir}/omf/gnash

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgnashamf-0.7.2.so
%{_libdir}/libgnashbackend-0.7.2.so
%{_libdir}/libgnashbase-0.7.2.so
%{_libdir}/libgnashgeo-0.7.2.so
%{_libdir}/libgnashgui-0.7.2.so
%{_libdir}/libgnashserver-0.7.2.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libgnashamf.la
%{_libdir}/libgnashamf.so
%{_libdir}/libgnashbackend.la
%{_libdir}/libgnashbackend.so
%{_libdir}/libgnashbase.la
%{_libdir}/libgnashbase.so
%{_libdir}/libgnashgeo.la
%{_libdir}/libgnashgeo.so
%{_libdir}/libgnashgui.la
%{_libdir}/libgnashgui.so
%{_libdir}/libgnashserver.la
%{_libdir}/libgnashserver.so
%doc %{_datadir}/gnash

%files -n %{name}-konqueror-plugin
%{_bindir}/klash
%{_libdir}/kde3/*
%{_datadir}/apps/klash
%{_datadir}/config/klashrc
%{_datadir}/services/klash_part.desktop

%files -n %{name}-firefox-plugin
%{_libdir}/mozilla/plugins/*.so



%changelog
* Fri Dec 15 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-3mdv2007.0
+ Revision: 97943
- Fix lib file section (#27686)

* Sun Dec 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.2-1mdv2007.1
+ Revision: 94527
- Fix requires (i hope )  thanks  Gotz
- New version 0.7.2
- Remove useless BuildConflicts
- close ticket #22971

* Fri Dec 08 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.2mdv2007.1
+ Revision: 92241
- buildconflicts docbook-utils
- Rebuild for mozilla-firefox 2.0

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.2-0.1mdv2007.1
+ Revision: 90268
- Add BuildRequires scrollkeeper libxslt-proc
- add buildrequires curl-devel texinfo doxygen
- buildrequires docbook-xml

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New cvs snapshot for 0.7.2 branch

* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.1-3mdv2007.1
+ Revision: 73125
- Add tarball
- New cvs snapshot
- Sync with gnash cvs
- Fix BuildRequires for new xorg
- increase release
- Make the wrning for svn back
- make the source back too
- come back on the svn gnash!!!
- Add a warning about its presence on svn repos
- Remove the changelog from the svn commit
- Created package structure for gnash.

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway


* Fri May 12 2006 Couriousous <couriousous@mandriva.org> 0.7.1-1mdk
- 0.7.1
- Reenable firefox plugin
- Enable konqueror plugin

* Thu Feb 16 2006 Austin Acton <austin@mandriva.org> 0.7-0.20060216.1mdk
- give proper version number
- enable docbook and ghelp
- buildrequires docbook2x
- fix lib64 build
- move la's to devel package
- configure 2.5
- add the standard doc files

* Thu Feb 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060216.1mdk
- New cvs snapshot

* Wed Feb 15 2006 Austin Acton <austin@mandriva.org> 0.0-0.20060123.3mdk
- fix lib64 build

* Tue Jan 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.2mdk
- Add BuildRequires

* Thu Jan 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060123.1mdk
- New cvs snapshot
	- For the moment the firefox plugin is not enable because it
		doesn't compile.
- Fix File section (misc)
- Add BuildRequires (misc)

* Tue Jan 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.0-0.20060110.1mdk
- initial mandriva package
- Patch 0 : Fix Mozilla-firefox detection (baud123)

